public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-01-07 21:03 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-01-07 21:03 UTC (permalink / raw
  To: gentoo-commits

commit:     e02aedbce159ec57c89eaa9b6a4d0f42d9cc634c
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Sun Jan  7 20:59:49 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Sun Jan  7 20:59:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e02aedbc

net-dns/AdGuardHome: add arm64 support

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.43.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.43.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.43.ebuild
index c1a9f54336..e1af0c5cbf 100644
--- a/net-dns/AdGuardHome/AdGuardHome-0.107.43.ebuild
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.43.ebuild
@@ -20,7 +20,7 @@ LICENSE="GPL-3"
 LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
 
 SLOT="0"
-KEYWORDS="~amd64"
+KEYWORDS="~amd64 ~arm64"
 
 FILECAPS=(
 	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-03-02 11:45 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-03-02 11:45 UTC (permalink / raw
  To: gentoo-commits

commit:     58db96417a265556ad38bd9c34434b9f1e6f5ba4
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Sat Mar  2 11:43:22 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Sat Mar  2 11:43:22 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=58db9641

net-dns/AdGuardHome: provide binary in lower case as well by symlink

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.44.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.44.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.44.ebuild
index f1d2096380..9d30c74d4d 100644
--- a/net-dns/AdGuardHome/AdGuardHome-0.107.44.ebuild
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.44.ebuild
@@ -113,6 +113,8 @@ src_test() {
 
 src_install() {
 	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
 	einstalldocs
 
 	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-03-21 15:58 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-03-21 15:58 UTC (permalink / raw
  To: gentoo-commits

commit:     3adf3880e01ee86f72142b96298e5f38dc245e96
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Thu Mar 21 15:54:51 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Thu Mar 21 15:56:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3adf3880

net-dns/AdGuardHome: add 0.107.46

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild | 142 ++++++++++++++++++++++++
 net-dns/AdGuardHome/Manifest                    |   3 +
 2 files changed, 145 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild
new file mode 100644
index 0000000000..c760965a48
--- /dev/null
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild
@@ -0,0 +1,142 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module readme.gentoo-r1 systemd
+
+DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
+HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
+
+WIKI_COMMIT="7964837"
+SRC_URI="
+	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
+	web? ( https://github.com/AdguardTeam/${PN}/releases/download/v${PV}/AdGuardHome_frontend.tar.gz -> ${P}-frontend.tar.gz )
+"
+
+# main
+LICENSE="GPL-3"
+# deps
+LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="+web"
+# RESTRICT="test"
+
+BDEPEND="app-arch/unzip"
+
+FILECAPS=(
+	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
+)
+
+PATCHES=(
+	"${FILESDIR}"/disable-update-cmd-opt.patch
+)
+
+DOCS="
+	../${PN,,}.wiki/*
+"
+
+DOC_CONTENTS="\n
+User is advised to not run binary directly instead use systemd service\n\n
+Defaults for systemd service:\n
+Web UI: 0.0.0.0:3000\n
+Data directory: /var/lib/${PN}\n
+Default config: /var/lib/${PN}/${PN}.yaml
+"
+src_unpack() {
+	# because we're using  vendor/ so we don't need go-module_src_unpack
+	default
+}
+
+src_prepare() {
+	ln -sv ../vendor ./ || die
+
+	default
+	# move frontend to project directory
+	use web && { rm -v build/gitkeep && mv -v ../build ./ || die ; }
+}
+
+src_compile() {
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
+
+	local MY_LDFLAGS="-s -w"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
+	if [ "$(go env GOARM)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
+	elif [ "$(go env GOMIPS)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
+	fi
+
+	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
+}
+
+src_test() {
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
+	count_flags='--count=1'
+	cover_flags='--coverprofile=./coverage.txt'
+	shuffle_flags='--shuffle=on'
+	timeout_flags="--timeout=30s"
+	fuzztime_flags="--fuzztime=20s"
+	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
+
+	# race only works when pie is disabled
+	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
+
+	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
+	# ego test\
+	# 	  "$count_flags"\
+	# 	  "$cover_flags"\
+	# 	  "$shuffle_flags"\
+	# 	  --race=1\
+	# 	  "$timeout_flags"\
+	# 	  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  --bench='.'\
+		  --benchmem\
+		  --benchtime=1s\
+		  --run='^$'\
+		  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  "$fuzztime_flags"\
+		  --fuzz='.'\
+		  --run='^$'\
+		  ./internal/filtering/rulelist/\
+		;
+
+}
+
+src_install() {
+	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
+	einstalldocs
+	readme.gentoo_create_doc
+
+	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index 329e947636..cdc5dccb48 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -7,4 +7,7 @@ DIST AdGuardHome-0.107.44.tar.gz 2243237 BLAKE2B f7a7299304f915de2c5e1a673170d48
 DIST AdGuardHome-0.107.45-deps.tar.xz 109986456 BLAKE2B a2b78f368d3fb406cae26c3869fd5c30588373a4c58687e5821c75afe943ada8e7f79f18625cd324e0979b8d11a2964fcfc10fe1ce99750a3abbc0952f5d8880 SHA512 31d6fa1758aaac5039b5310dedd851ca3125eddc183dee33ef8c34af9ba9637fca197d278910854746c24d7dc9fa1628ccca12e38b39b8456879e38e6eefc9e6
 DIST AdGuardHome-0.107.45-frontend.tar.gz 2793159 BLAKE2B 361a10477317787e2ed414f92bc3d01724182fe7054be2ce0febc68968a3227b875baa1e3b01aee1374652b22d395128041a23af923cffd437c7a9ead31b622b SHA512 68f1163459673e0213675d195196aaabb564b50640d005ef0664653a2580da6f3fbf84e1c6034119e7f55260b03d61d4513c65e8fd1a00ea5c8a856b2946b822
 DIST AdGuardHome-0.107.45.tar.gz 2248687 BLAKE2B 257fbd716d769657c9b40a03f91f7dcaaee5c59788b43c86d1b90120f301cfbbfdf68f547143b6505d5bed70f03e992ca6ca3d86d0b1e9b760d0a21d9a19db89 SHA512 cfbb6eaacde706c9ce1bb632484a8d18a915be9642435fbeff087e9cc8cb8f6c787a244068a2f4cc051750a367558aa7487af7c4c58b88d28b64df7e80b55e09
+DIST AdGuardHome-0.107.46-deps.tar.xz 2617456 BLAKE2B b53495335b348bcc86dd1c03765e14e6d30a85a60405179d5de9105ebc83ffc39dc035ff6c58adec9f92dfe3dee9714a563372f16902e8c8956b32926b4b117c SHA512 15b7521f038914757ff9e72f441b78957750a26730041adea57488548711402b76a642ae49fc970f69aea84e5d033a146fd201cb8707c0de099be096ae68a81c
+DIST AdGuardHome-0.107.46-frontend.tar.gz 2791684 BLAKE2B 086826322a3cfa799081bc7b67ae91f7222cb4fa020e0be51ab6f46cb862edca967289f66747dc95f287a48e342e91156f9d155e1080aa2ca02b342223ce8192 SHA512 b4b9b5f9dfae16af9b6a77ca70226ad30e7ecf7eff883bf071304b4a3583ad6bc57d122f956db2bf7cd199abeb582f14e91393740062396eebc376d1c1018ad6
+DIST AdGuardHome-0.107.46.tar.gz 2258665 BLAKE2B d3b7a6cd24e35fc22fc90919ce7143fbe3475891f151011b5c059f66cbcb78b756d40e797cbee5a1cc2d22064969abac329165f16794619e1b60ea6b22366692 SHA512 aaac649e162885c7128a0e8596b03a2b3e1a53fb605ff6d0070e97632d5b8141a3ebba6f93e7f17a51e69394dace0f5bc9b7715a739137dca6740a678ff6a075
 DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-04-09  8:50 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-04-09  8:50 UTC (permalink / raw
  To: gentoo-commits

commit:     742ee61180552eb76f30327ea8e3ec7a02ab114a
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Tue Apr  9 08:38:55 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Tue Apr  9 08:38:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=742ee611

net-dns/AdGuardHome: update to 0.107.48, xz->zstd, build frontend

* Instead of using prebuilt frontend, build it from source

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild | 153 ++++++++++++++++++++++++
 net-dns/AdGuardHome/Manifest                    |   3 +
 2 files changed, 156 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild
new file mode 100644
index 0000000000..65f97c53fb
--- /dev/null
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild
@@ -0,0 +1,153 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module readme.gentoo-r1 systemd unpacker
+
+DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
+HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
+
+WIKI_COMMIT="7964837"
+SRC_URI="
+	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.zst -> ${P}-deps.tar.zst
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.46/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
+	web? ( https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/npm-deps.tar.zst -> ${P}-npm-deps.tar.zst )
+"
+
+# main
+LICENSE="GPL-3"
+# deps
+LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="+web"
+# RESTRICT="test"
+
+BDEPEND="
+	$(unpacker_src_uri_depends)
+	>=dev-lang/go-1.22.2
+	web? ( net-libs/nodejs[npm] )
+"
+
+FILECAPS=(
+	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
+)
+
+PATCHES=(
+	"${FILESDIR}"/disable-update-cmd-opt.patch
+)
+
+DOCS="
+	../${PN,,}.wiki/*
+"
+
+DOC_CONTENTS="\n
+User is advised to not run binary directly instead use systemd service\n\n
+Defaults for systemd service:\n
+Web UI: 0.0.0.0:3000\n
+Data directory: /var/lib/${PN}\n
+Default config: /var/lib/${PN}/${PN}.yaml
+"
+src_unpack() {
+	# because we're using  vendor/ so we don't need go-module_src_unpack
+	unpacker_src_unpack
+}
+
+src_prepare() {
+	ln -sv ../vendor ./ || die
+
+	default
+
+	if use web; then
+		# mimicking `make js-deps`
+		export npm_config_cache="${WORKDIR}/npm-cache" NODE_OPTIONS=--openssl-legacy-provider || die
+		npm --verbose --offline --prefix client/ --no-progress --ignore-engines --ignore-optional --ignore-platform --ignore-scripts ci || die
+	fi
+}
+
+src_compile() {
+	# mimicking `make js-build`
+	use web && npm --verbose --offline --prefix client run build-prod || die
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
+
+	local MY_LDFLAGS="-s -w"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
+	if [ "$(go env GOARM)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
+	elif [ "$(go env GOMIPS)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
+	fi
+
+	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
+}
+
+src_test() {
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
+	count_flags='--count=1'
+	cover_flags='--coverprofile=./coverage.txt'
+	shuffle_flags='--shuffle=on'
+	timeout_flags="--timeout=30s"
+	fuzztime_flags="--fuzztime=20s"
+	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
+
+	# race only works when pie is disabled
+	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
+
+	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
+	# ego test\
+	# 	  "$count_flags"\
+	# 	  "$cover_flags"\
+	# 	  "$shuffle_flags"\
+	# 	  --race=1\
+	# 	  "$timeout_flags"\
+	# 	  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  --bench='.'\
+		  --benchmem\
+		  --benchtime=1s\
+		  --run='^$'\
+		  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  "$fuzztime_flags"\
+		  --fuzz='.'\
+		  --run='^$'\
+		  ./internal/filtering/rulelist/\
+		;
+
+}
+
+src_install() {
+	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
+	einstalldocs
+	readme.gentoo_create_doc
+
+	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index 9753fd25ce..8838d320bf 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -4,4 +4,7 @@ DIST AdGuardHome-0.107.45.tar.gz 2248687 BLAKE2B 257fbd716d769657c9b40a03f91f7dc
 DIST AdGuardHome-0.107.46-deps.tar.xz 2617456 BLAKE2B b53495335b348bcc86dd1c03765e14e6d30a85a60405179d5de9105ebc83ffc39dc035ff6c58adec9f92dfe3dee9714a563372f16902e8c8956b32926b4b117c SHA512 15b7521f038914757ff9e72f441b78957750a26730041adea57488548711402b76a642ae49fc970f69aea84e5d033a146fd201cb8707c0de099be096ae68a81c
 DIST AdGuardHome-0.107.46-frontend.tar.gz 2791684 BLAKE2B 086826322a3cfa799081bc7b67ae91f7222cb4fa020e0be51ab6f46cb862edca967289f66747dc95f287a48e342e91156f9d155e1080aa2ca02b342223ce8192 SHA512 b4b9b5f9dfae16af9b6a77ca70226ad30e7ecf7eff883bf071304b4a3583ad6bc57d122f956db2bf7cd199abeb582f14e91393740062396eebc376d1c1018ad6
 DIST AdGuardHome-0.107.46.tar.gz 2258665 BLAKE2B d3b7a6cd24e35fc22fc90919ce7143fbe3475891f151011b5c059f66cbcb78b756d40e797cbee5a1cc2d22064969abac329165f16794619e1b60ea6b22366692 SHA512 aaac649e162885c7128a0e8596b03a2b3e1a53fb605ff6d0070e97632d5b8141a3ebba6f93e7f17a51e69394dace0f5bc9b7715a739137dca6740a678ff6a075
+DIST AdGuardHome-0.107.48-deps.tar.zst 3702175 BLAKE2B 2da4d5e43d8c43f3222ed638726ea541e560978ee5b7d1a452f4ca3f9af6b8f019ee9fb1115485ea76c61ec627b29b9f25d3ee00326ae3a97d7c3e3c5d391153 SHA512 2783962df7216566c87c04619488786199d2b82ea8378e2d28e01413c5f3eae66a76a85d0966b25857533548b134e2df361c97205bb00a4c51b22571e99073a1
+DIST AdGuardHome-0.107.48-npm-deps.tar.zst 31298525 BLAKE2B 8b52fd0eddd4fcb5405e0d08d48c38023ef5a75715ec8eca406bd8811a7ef8d719cc842011b00e364ece9bc1deed415f65eae863baea4d09df6ad7536c0b9da7 SHA512 4bae696c842a24d3e7d0c197e3a8a42efc4c67a158a20ba7243f20300f2ddd35a89c1ad46e90c2498ec5bdfe5733a1fa961d11d033a53549240b85ddb2ee5993
+DIST AdGuardHome-0.107.48.tar.gz 2264834 BLAKE2B 3fc50e5d76b9e73ab14a355f005ba0a57d51e2b45b39667b31e7558a86ea31ab23009ce5738232a9de3bdf781edda9eea9689d315c285ac5bd5273351ba6f606 SHA512 861affc0628a14b7823822c4b2b2c66a874801fc4b4fa50b909785ea57b39f86bb6cc4df84d04d941b251a6eec6055e93f41cb04eeba92a4a9477c1904e8d14f
 DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-05-23 17:02 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-05-23 17:02 UTC (permalink / raw
  To: gentoo-commits

commit:     7a315e74ee13630384a042bd6b1a4d47b32baa20
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Thu May 23 17:00:59 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Thu May 23 17:02:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=7a315e74

net-dns/AdGuardHome: update to 0.107.49

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.49.ebuild | 151 ++++++++++++++++++++++++
 net-dns/AdGuardHome/Manifest                    |   4 +
 2 files changed, 155 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.49.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.49.ebuild
new file mode 100644
index 000000000..698ff424f
--- /dev/null
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.49.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module readme.gentoo-r1 systemd
+
+DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
+HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
+
+WIKI_COMMIT="3b27176"
+SRC_URI="
+	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
+	web? ( https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/npm-deps.tar.xz -> ${P}-npm-deps.tar.xz )
+"
+
+# main
+LICENSE="GPL-3"
+# deps
+LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="+web"
+# RESTRICT="test"
+
+BDEPEND="
+	web? ( net-libs/nodejs[npm] )
+"
+
+FILECAPS=(
+	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
+)
+
+PATCHES=(
+	"${FILESDIR}"/disable-update-cmd-opt.patch
+)
+
+DOCS="
+	../${PN}.wiki/*
+"
+
+DOC_CONTENTS="\n
+User is advised to not run binary directly instead use systemd service\n\n
+Defaults for systemd service:\n
+Web UI: 0.0.0.0:3000\n
+Data directory: /var/lib/${PN}\n
+Default config: /var/lib/${PN}/${PN}.yaml
+"
+src_unpack() {
+	# because we're using  vendor/ so we don't need go-module_src_unpack
+	default
+}
+
+src_prepare() {
+	ln -sv ../vendor ./ || die
+
+	default
+
+	if use web; then
+		# mimicking `make js-deps`
+		export npm_config_cache="${WORKDIR}/npm-cache" NODE_OPTIONS=--openssl-legacy-provider || die
+		npm --verbose --offline --prefix client/ --no-progress --ignore-engines --ignore-optional --ignore-platform --ignore-scripts ci || die
+	fi
+}
+
+src_compile() {
+	# mimicking `make js-build`
+	use web && npm --verbose --offline --prefix client run build-prod || die
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
+
+	local MY_LDFLAGS="-s -w"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
+	if [ "$(go env GOARM)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
+	elif [ "$(go env GOMIPS)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
+	fi
+
+	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
+}
+
+src_test() {
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
+	count_flags='--count=1'
+	cover_flags='--coverprofile=./coverage.txt'
+	shuffle_flags='--shuffle=on'
+	timeout_flags="--timeout=30s"
+	fuzztime_flags="--fuzztime=20s"
+	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
+
+	# race only works when pie is disabled
+	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
+
+	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
+	# ego test\
+	# 	  "$count_flags"\
+	# 	  "$cover_flags"\
+	# 	  "$shuffle_flags"\
+	# 	  --race=1\
+	# 	  "$timeout_flags"\
+	# 	  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  --bench='.'\
+		  --benchmem\
+		  --benchtime=1s\
+		  --run='^$'\
+		  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  "$fuzztime_flags"\
+		  --fuzz='.'\
+		  --run='^$'\
+		  ./internal/filtering/rulelist/\
+		;
+
+}
+
+src_install() {
+	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
+	einstalldocs
+	readme.gentoo_create_doc
+
+	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index 8838d320b..c0c342442 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -7,4 +7,8 @@ DIST AdGuardHome-0.107.46.tar.gz 2258665 BLAKE2B d3b7a6cd24e35fc22fc90919ce7143f
 DIST AdGuardHome-0.107.48-deps.tar.zst 3702175 BLAKE2B 2da4d5e43d8c43f3222ed638726ea541e560978ee5b7d1a452f4ca3f9af6b8f019ee9fb1115485ea76c61ec627b29b9f25d3ee00326ae3a97d7c3e3c5d391153 SHA512 2783962df7216566c87c04619488786199d2b82ea8378e2d28e01413c5f3eae66a76a85d0966b25857533548b134e2df361c97205bb00a4c51b22571e99073a1
 DIST AdGuardHome-0.107.48-npm-deps.tar.zst 31298525 BLAKE2B 8b52fd0eddd4fcb5405e0d08d48c38023ef5a75715ec8eca406bd8811a7ef8d719cc842011b00e364ece9bc1deed415f65eae863baea4d09df6ad7536c0b9da7 SHA512 4bae696c842a24d3e7d0c197e3a8a42efc4c67a158a20ba7243f20300f2ddd35a89c1ad46e90c2498ec5bdfe5733a1fa961d11d033a53549240b85ddb2ee5993
 DIST AdGuardHome-0.107.48.tar.gz 2264834 BLAKE2B 3fc50e5d76b9e73ab14a355f005ba0a57d51e2b45b39667b31e7558a86ea31ab23009ce5738232a9de3bdf781edda9eea9689d315c285ac5bd5273351ba6f606 SHA512 861affc0628a14b7823822c4b2b2c66a874801fc4b4fa50b909785ea57b39f86bb6cc4df84d04d941b251a6eec6055e93f41cb04eeba92a4a9477c1904e8d14f
+DIST AdGuardHome-0.107.49-deps.tar.xz 2655500 BLAKE2B b3fc899f6c0b1c2e4ee3861f151089a6ed8287f28b7274b70f1fc1a287d5aff6540f7385ac012d7d9aafad7cdbcf245d05dd80d546f63f7c6b714682f83a62fb SHA512 690340b6353dcf4ecc705cb63db398d5b9a64350bc9a04dcde92be75517294c177027525b987ba06009f25a049686d667fe4b738cf98bf314704b59f02d9f942
+DIST AdGuardHome-0.107.49-npm-deps.tar.xz 31380124 BLAKE2B df516b58bc5cc94e651b89d92e046432db85f8eaf423fbffd1c0e2f2704193589a916fa09239ac383798508e4146fb6d416a304697001d645cbd2599a25044d0 SHA512 d847734157c2fe8d62cc4cf9788a64849681264cf3f0315423206c00a8ee5e0b8073d97af126c4eb5abf834b55242a7571a6b116aab383f280ad35288467b1a3
+DIST AdGuardHome-0.107.49.tar.gz 2269512 BLAKE2B e118e3a31fc88b477a5b7cdc6b81e4aaf52b3c92ebde49f0b552220fef285c0128ec590b1eb75d82633e697065ab16da815b5bbd6bef70bb22d8fc20794711de SHA512 20e5c528a00d87658be90d7320972b44db10e1537d5a836d83dadf772c4f54754272e69bc2565163e5847375fd4d9a0159f7ef9eb552beadee2432330729b373
+DIST AdGuardHome-wiki-3b27176.tar.xz 44232 BLAKE2B a4333f99ab7860734b41677265fe3565aea82db1ef6306920f302a3ed2ec69cf9a17523465ffeceefa04ffdd0d916d61adb2c8fc5d01b40a1a80c4d99d76ab72 SHA512 d702373ede62589f079fb86474ade02a9520b7008b8b9b89867c48629cca1816df1560738a575e26813f43bfbc3c77ba2d89b6a1dc8f0625af8cef3fac11a287
 DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-05-23 18:09 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-05-23 18:09 UTC (permalink / raw
  To: gentoo-commits

commit:     96119fdfcca87e7caf097e111470feb00312ff5a
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Thu May 23 17:51:40 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Thu May 23 18:08:49 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=96119fdf

net-dns/AdGuardHome: update to 0.107.50 hotfix

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.50.ebuild | 151 ++++++++++++++++++++++++
 net-dns/AdGuardHome/Manifest                    |   2 +
 2 files changed, 153 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.50.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.50.ebuild
new file mode 100644
index 000000000..5ab998498
--- /dev/null
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.50.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module readme.gentoo-r1 systemd
+
+DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
+HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
+
+WIKI_COMMIT="3b27176"
+SRC_URI="
+	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.49/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
+	web? ( https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.49/npm-deps.tar.xz -> ${PN}-0.107.49-npm-deps.tar.xz )
+"
+
+# main
+LICENSE="GPL-3"
+# deps
+LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="+web"
+# RESTRICT="test"
+
+BDEPEND="
+	web? ( net-libs/nodejs[npm] )
+"
+
+FILECAPS=(
+	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
+)
+
+PATCHES=(
+	"${FILESDIR}"/disable-update-cmd-opt.patch
+)
+
+DOCS="
+	../${PN}.wiki/*
+"
+
+DOC_CONTENTS="\n
+User is advised to not run binary directly instead use systemd service\n\n
+Defaults for systemd service:\n
+Web UI: 0.0.0.0:3000\n
+Data directory: /var/lib/${PN}\n
+Default config: /var/lib/${PN}/${PN}.yaml
+"
+src_unpack() {
+	# because we're using  vendor/ so we don't need go-module_src_unpack
+	default
+}
+
+src_prepare() {
+	ln -sv ../vendor ./ || die
+
+	default
+
+	if use web; then
+		# mimicking `make js-deps`
+		export npm_config_cache="${WORKDIR}/npm-cache" NODE_OPTIONS=--openssl-legacy-provider || die
+		npm --verbose --offline --prefix client/ --no-progress --ignore-engines --ignore-optional --ignore-platform --ignore-scripts ci || die
+	fi
+}
+
+src_compile() {
+	# mimicking `make js-build`
+	use web && npm --verbose --offline --prefix client run build-prod || die
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
+
+	local MY_LDFLAGS="-s -w"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
+	if [ "$(go env GOARM)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
+	elif [ "$(go env GOMIPS)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
+	fi
+
+	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
+}
+
+src_test() {
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
+	count_flags='--count=1'
+	cover_flags='--coverprofile=./coverage.txt'
+	shuffle_flags='--shuffle=on'
+	timeout_flags="--timeout=30s"
+	fuzztime_flags="--fuzztime=20s"
+	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
+
+	# race only works when pie is disabled
+	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
+
+	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
+	# ego test\
+	# 	  "$count_flags"\
+	# 	  "$cover_flags"\
+	# 	  "$shuffle_flags"\
+	# 	  --race=1\
+	# 	  "$timeout_flags"\
+	# 	  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  --bench='.'\
+		  --benchmem\
+		  --benchtime=1s\
+		  --run='^$'\
+		  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  "$fuzztime_flags"\
+		  --fuzz='.'\
+		  --run='^$'\
+		  ./internal/filtering/rulelist/\
+		;
+
+}
+
+src_install() {
+	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
+	einstalldocs
+	readme.gentoo_create_doc
+
+	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index c0c342442..de2c91a16 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -10,5 +10,7 @@ DIST AdGuardHome-0.107.48.tar.gz 2264834 BLAKE2B 3fc50e5d76b9e73ab14a355f005ba0a
 DIST AdGuardHome-0.107.49-deps.tar.xz 2655500 BLAKE2B b3fc899f6c0b1c2e4ee3861f151089a6ed8287f28b7274b70f1fc1a287d5aff6540f7385ac012d7d9aafad7cdbcf245d05dd80d546f63f7c6b714682f83a62fb SHA512 690340b6353dcf4ecc705cb63db398d5b9a64350bc9a04dcde92be75517294c177027525b987ba06009f25a049686d667fe4b738cf98bf314704b59f02d9f942
 DIST AdGuardHome-0.107.49-npm-deps.tar.xz 31380124 BLAKE2B df516b58bc5cc94e651b89d92e046432db85f8eaf423fbffd1c0e2f2704193589a916fa09239ac383798508e4146fb6d416a304697001d645cbd2599a25044d0 SHA512 d847734157c2fe8d62cc4cf9788a64849681264cf3f0315423206c00a8ee5e0b8073d97af126c4eb5abf834b55242a7571a6b116aab383f280ad35288467b1a3
 DIST AdGuardHome-0.107.49.tar.gz 2269512 BLAKE2B e118e3a31fc88b477a5b7cdc6b81e4aaf52b3c92ebde49f0b552220fef285c0128ec590b1eb75d82633e697065ab16da815b5bbd6bef70bb22d8fc20794711de SHA512 20e5c528a00d87658be90d7320972b44db10e1537d5a836d83dadf772c4f54754272e69bc2565163e5847375fd4d9a0159f7ef9eb552beadee2432330729b373
+DIST AdGuardHome-0.107.50-deps.tar.xz 2674988 BLAKE2B 72747c4eebd33a3e453c9062ca84f84f58d5c8a65b63059b8f9788fd695f513475d3a933953eec017b052eba7822ebb24fb7a09ad9e986ac9f2fbe8bca408bcd SHA512 7af25252a7ee1de9153c16658f56aeb65481780e4ff1e22fe01b73de14c53f9d54a9f7f87d5f246e309ab0f3671d4cdf02a216468d603aceb6d66b3affea1af6
+DIST AdGuardHome-0.107.50.tar.gz 2269495 BLAKE2B 49b4811c118a938d6191e856588d262a9645309e43d40d70be646d6ba831f722da069f1d07b7192e663f23992994a3d1328e52d4923f58cbc0a70d0495476ce4 SHA512 d2744328d03945c6d8851e3d49d5244f5e85fceb769e901209381d79af4bcc9996d19eb29bff7e20d6e51d2e52285813ebe649d93a94eaa143c0315422dcb5a8
 DIST AdGuardHome-wiki-3b27176.tar.xz 44232 BLAKE2B a4333f99ab7860734b41677265fe3565aea82db1ef6306920f302a3ed2ec69cf9a17523465ffeceefa04ffdd0d916d61adb2c8fc5d01b40a1a80c4d99d76ab72 SHA512 d702373ede62589f079fb86474ade02a9520b7008b8b9b89867c48629cca1816df1560738a575e26813f43bfbc3c77ba2d89b6a1dc8f0625af8cef3fac11a287
 DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-06-15  7:10 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-06-15  7:10 UTC (permalink / raw
  To: gentoo-commits

commit:     31c238ba9e39470bd1b96ec9b3139b4f3ebf8530
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Sat Jun 15 07:10:31 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Sat Jun 15 07:10:31 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=31c238ba

net-dns/AdGuardHome: cleanup

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.45.ebuild | 124 -------------------
 net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild | 142 ----------------------
 net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild | 153 ------------------------
 net-dns/AdGuardHome/Manifest                    |  10 --
 4 files changed, 429 deletions(-)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.45.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.45.ebuild
deleted file mode 100644
index e2dc7851a..000000000
--- a/net-dns/AdGuardHome/AdGuardHome-0.107.45.ebuild
+++ /dev/null
@@ -1,124 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit fcaps go-module systemd
-
-DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
-HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
-
-WIKI_COMMIT="7964837"
-SRC_URI="
-	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
-	web? ( https://github.com/AdguardTeam/${PN}/releases/download/v${PV}/AdGuardHome_frontend.tar.gz -> ${P}-frontend.tar.gz )
-"
-
-# main
-LICENSE="GPL-3"
-# deps
-LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
-
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-IUSE="+web"
-# RESTRICT="test"
-
-# so that pkgcheck doesn't complain
-BDEPEND="app-arch/unzip"
-
-FILECAPS=(
-	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
-)
-
-PATCHES=(
-	"${FILESDIR}"/disable-update-cmd-opt.patch
-)
-
-DOCS="
-	../${PN,,}.wiki/*
-"
-
-src_prepare() {
-	default
-	# move frontend to project directory
-	use web && { rm -v build/gitkeep && mv -v ../build ./ || die ; }
-}
-
-src_compile() {
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
-
-	local MY_LDFLAGS="-s -w"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
-	if [ "$(go env GOARM)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
-	elif [ "$(go env GOMIPS)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
-	fi
-
-	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
-}
-
-src_test() {
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
-	count_flags='--count=1'
-	cover_flags='--coverprofile=./coverage.txt'
-	shuffle_flags='--shuffle=on'
-	timeout_flags="--timeout=30s"
-	fuzztime_flags="--fuzztime=20s"
-	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
-
-	# race only works when pie is disabled
-	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
-
-	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
-	# ego test\
-	# 	  "$count_flags"\
-	# 	  "$cover_flags"\
-	# 	  "$shuffle_flags"\
-	# 	  --race=1\
-	# 	  "$timeout_flags"\
-	# 	  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  --bench='.'\
-		  --benchmem\
-		  --benchtime=1s\
-		  --run='^$'\
-		  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  "$fuzztime_flags"\
-		  --fuzz='.'\
-		  --run='^$'\
-		  ./internal/filtering/rulelist/\
-		;
-
-}
-
-src_install() {
-	dobin "${PN}"
-	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
-
-	einstalldocs
-
-	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
-}

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild
deleted file mode 100644
index c760965a4..000000000
--- a/net-dns/AdGuardHome/AdGuardHome-0.107.46.ebuild
+++ /dev/null
@@ -1,142 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit fcaps go-module readme.gentoo-r1 systemd
-
-DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
-HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
-
-WIKI_COMMIT="7964837"
-SRC_URI="
-	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
-	web? ( https://github.com/AdguardTeam/${PN}/releases/download/v${PV}/AdGuardHome_frontend.tar.gz -> ${P}-frontend.tar.gz )
-"
-
-# main
-LICENSE="GPL-3"
-# deps
-LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
-
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-IUSE="+web"
-# RESTRICT="test"
-
-BDEPEND="app-arch/unzip"
-
-FILECAPS=(
-	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
-)
-
-PATCHES=(
-	"${FILESDIR}"/disable-update-cmd-opt.patch
-)
-
-DOCS="
-	../${PN,,}.wiki/*
-"
-
-DOC_CONTENTS="\n
-User is advised to not run binary directly instead use systemd service\n\n
-Defaults for systemd service:\n
-Web UI: 0.0.0.0:3000\n
-Data directory: /var/lib/${PN}\n
-Default config: /var/lib/${PN}/${PN}.yaml
-"
-src_unpack() {
-	# because we're using  vendor/ so we don't need go-module_src_unpack
-	default
-}
-
-src_prepare() {
-	ln -sv ../vendor ./ || die
-
-	default
-	# move frontend to project directory
-	use web && { rm -v build/gitkeep && mv -v ../build ./ || die ; }
-}
-
-src_compile() {
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
-
-	local MY_LDFLAGS="-s -w"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
-	if [ "$(go env GOARM)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
-	elif [ "$(go env GOMIPS)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
-	fi
-
-	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
-}
-
-src_test() {
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
-	count_flags='--count=1'
-	cover_flags='--coverprofile=./coverage.txt'
-	shuffle_flags='--shuffle=on'
-	timeout_flags="--timeout=30s"
-	fuzztime_flags="--fuzztime=20s"
-	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
-
-	# race only works when pie is disabled
-	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
-
-	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
-	# ego test\
-	# 	  "$count_flags"\
-	# 	  "$cover_flags"\
-	# 	  "$shuffle_flags"\
-	# 	  --race=1\
-	# 	  "$timeout_flags"\
-	# 	  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  --bench='.'\
-		  --benchmem\
-		  --benchtime=1s\
-		  --run='^$'\
-		  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  "$fuzztime_flags"\
-		  --fuzz='.'\
-		  --run='^$'\
-		  ./internal/filtering/rulelist/\
-		;
-
-}
-
-src_install() {
-	dobin "${PN}"
-	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
-
-	einstalldocs
-	readme.gentoo_create_doc
-
-	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
-}
-
-pkg_postinst() {
-	readme.gentoo_print_elog
-}

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild
deleted file mode 100644
index 65f97c53f..000000000
--- a/net-dns/AdGuardHome/AdGuardHome-0.107.48.ebuild
+++ /dev/null
@@ -1,153 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit fcaps go-module readme.gentoo-r1 systemd unpacker
-
-DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
-HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
-
-WIKI_COMMIT="7964837"
-SRC_URI="
-	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.zst -> ${P}-deps.tar.zst
-	https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.46/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
-	web? ( https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/npm-deps.tar.zst -> ${P}-npm-deps.tar.zst )
-"
-
-# main
-LICENSE="GPL-3"
-# deps
-LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
-
-SLOT="0"
-KEYWORDS="~amd64 ~arm64"
-
-IUSE="+web"
-# RESTRICT="test"
-
-BDEPEND="
-	$(unpacker_src_uri_depends)
-	>=dev-lang/go-1.22.2
-	web? ( net-libs/nodejs[npm] )
-"
-
-FILECAPS=(
-	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
-)
-
-PATCHES=(
-	"${FILESDIR}"/disable-update-cmd-opt.patch
-)
-
-DOCS="
-	../${PN,,}.wiki/*
-"
-
-DOC_CONTENTS="\n
-User is advised to not run binary directly instead use systemd service\n\n
-Defaults for systemd service:\n
-Web UI: 0.0.0.0:3000\n
-Data directory: /var/lib/${PN}\n
-Default config: /var/lib/${PN}/${PN}.yaml
-"
-src_unpack() {
-	# because we're using  vendor/ so we don't need go-module_src_unpack
-	unpacker_src_unpack
-}
-
-src_prepare() {
-	ln -sv ../vendor ./ || die
-
-	default
-
-	if use web; then
-		# mimicking `make js-deps`
-		export npm_config_cache="${WORKDIR}/npm-cache" NODE_OPTIONS=--openssl-legacy-provider || die
-		npm --verbose --offline --prefix client/ --no-progress --ignore-engines --ignore-optional --ignore-platform --ignore-scripts ci || die
-	fi
-}
-
-src_compile() {
-	# mimicking `make js-build`
-	use web && npm --verbose --offline --prefix client run build-prod || die
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
-
-	local MY_LDFLAGS="-s -w"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
-	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
-	if [ "$(go env GOARM)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
-	elif [ "$(go env GOMIPS)" != '' ]
-	then
-		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
-	fi
-
-	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
-}
-
-src_test() {
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
-	count_flags='--count=1'
-	cover_flags='--coverprofile=./coverage.txt'
-	shuffle_flags='--shuffle=on'
-	timeout_flags="--timeout=30s"
-	fuzztime_flags="--fuzztime=20s"
-	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
-
-	# race only works when pie is disabled
-	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
-
-	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
-	# ego test\
-	# 	  "$count_flags"\
-	# 	  "$cover_flags"\
-	# 	  "$shuffle_flags"\
-	# 	  --race=1\
-	# 	  "$timeout_flags"\
-	# 	  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  --bench='.'\
-		  --benchmem\
-		  --benchtime=1s\
-		  --run='^$'\
-		  ./...
-
-	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
-	ego test\
-		  "$count_flags"\
-		  "$shuffle_flags"\
-		  --race=0\
-		  "$timeout_flags"\
-		  "$fuzztime_flags"\
-		  --fuzz='.'\
-		  --run='^$'\
-		  ./internal/filtering/rulelist/\
-		;
-
-}
-
-src_install() {
-	dobin "${PN}"
-	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
-
-	einstalldocs
-	readme.gentoo_create_doc
-
-	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
-}
-
-pkg_postinst() {
-	readme.gentoo_print_elog
-}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index 6d9c7685d..94ebc218b 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -1,12 +1,3 @@
-DIST AdGuardHome-0.107.45-deps.tar.xz 109986456 BLAKE2B a2b78f368d3fb406cae26c3869fd5c30588373a4c58687e5821c75afe943ada8e7f79f18625cd324e0979b8d11a2964fcfc10fe1ce99750a3abbc0952f5d8880 SHA512 31d6fa1758aaac5039b5310dedd851ca3125eddc183dee33ef8c34af9ba9637fca197d278910854746c24d7dc9fa1628ccca12e38b39b8456879e38e6eefc9e6
-DIST AdGuardHome-0.107.45-frontend.tar.gz 2793159 BLAKE2B 361a10477317787e2ed414f92bc3d01724182fe7054be2ce0febc68968a3227b875baa1e3b01aee1374652b22d395128041a23af923cffd437c7a9ead31b622b SHA512 68f1163459673e0213675d195196aaabb564b50640d005ef0664653a2580da6f3fbf84e1c6034119e7f55260b03d61d4513c65e8fd1a00ea5c8a856b2946b822
-DIST AdGuardHome-0.107.45.tar.gz 2248687 BLAKE2B 257fbd716d769657c9b40a03f91f7dcaaee5c59788b43c86d1b90120f301cfbbfdf68f547143b6505d5bed70f03e992ca6ca3d86d0b1e9b760d0a21d9a19db89 SHA512 cfbb6eaacde706c9ce1bb632484a8d18a915be9642435fbeff087e9cc8cb8f6c787a244068a2f4cc051750a367558aa7487af7c4c58b88d28b64df7e80b55e09
-DIST AdGuardHome-0.107.46-deps.tar.xz 2617456 BLAKE2B b53495335b348bcc86dd1c03765e14e6d30a85a60405179d5de9105ebc83ffc39dc035ff6c58adec9f92dfe3dee9714a563372f16902e8c8956b32926b4b117c SHA512 15b7521f038914757ff9e72f441b78957750a26730041adea57488548711402b76a642ae49fc970f69aea84e5d033a146fd201cb8707c0de099be096ae68a81c
-DIST AdGuardHome-0.107.46-frontend.tar.gz 2791684 BLAKE2B 086826322a3cfa799081bc7b67ae91f7222cb4fa020e0be51ab6f46cb862edca967289f66747dc95f287a48e342e91156f9d155e1080aa2ca02b342223ce8192 SHA512 b4b9b5f9dfae16af9b6a77ca70226ad30e7ecf7eff883bf071304b4a3583ad6bc57d122f956db2bf7cd199abeb582f14e91393740062396eebc376d1c1018ad6
-DIST AdGuardHome-0.107.46.tar.gz 2258665 BLAKE2B d3b7a6cd24e35fc22fc90919ce7143fbe3475891f151011b5c059f66cbcb78b756d40e797cbee5a1cc2d22064969abac329165f16794619e1b60ea6b22366692 SHA512 aaac649e162885c7128a0e8596b03a2b3e1a53fb605ff6d0070e97632d5b8141a3ebba6f93e7f17a51e69394dace0f5bc9b7715a739137dca6740a678ff6a075
-DIST AdGuardHome-0.107.48-deps.tar.zst 3702175 BLAKE2B 2da4d5e43d8c43f3222ed638726ea541e560978ee5b7d1a452f4ca3f9af6b8f019ee9fb1115485ea76c61ec627b29b9f25d3ee00326ae3a97d7c3e3c5d391153 SHA512 2783962df7216566c87c04619488786199d2b82ea8378e2d28e01413c5f3eae66a76a85d0966b25857533548b134e2df361c97205bb00a4c51b22571e99073a1
-DIST AdGuardHome-0.107.48-npm-deps.tar.zst 31298525 BLAKE2B 8b52fd0eddd4fcb5405e0d08d48c38023ef5a75715ec8eca406bd8811a7ef8d719cc842011b00e364ece9bc1deed415f65eae863baea4d09df6ad7536c0b9da7 SHA512 4bae696c842a24d3e7d0c197e3a8a42efc4c67a158a20ba7243f20300f2ddd35a89c1ad46e90c2498ec5bdfe5733a1fa961d11d033a53549240b85ddb2ee5993
-DIST AdGuardHome-0.107.48.tar.gz 2264834 BLAKE2B 3fc50e5d76b9e73ab14a355f005ba0a57d51e2b45b39667b31e7558a86ea31ab23009ce5738232a9de3bdf781edda9eea9689d315c285ac5bd5273351ba6f606 SHA512 861affc0628a14b7823822c4b2b2c66a874801fc4b4fa50b909785ea57b39f86bb6cc4df84d04d941b251a6eec6055e93f41cb04eeba92a4a9477c1904e8d14f
 DIST AdGuardHome-0.107.49-deps.tar.xz 2655500 BLAKE2B b3fc899f6c0b1c2e4ee3861f151089a6ed8287f28b7274b70f1fc1a287d5aff6540f7385ac012d7d9aafad7cdbcf245d05dd80d546f63f7c6b714682f83a62fb SHA512 690340b6353dcf4ecc705cb63db398d5b9a64350bc9a04dcde92be75517294c177027525b987ba06009f25a049686d667fe4b738cf98bf314704b59f02d9f942
 DIST AdGuardHome-0.107.49-npm-deps.tar.xz 31380124 BLAKE2B df516b58bc5cc94e651b89d92e046432db85f8eaf423fbffd1c0e2f2704193589a916fa09239ac383798508e4146fb6d416a304697001d645cbd2599a25044d0 SHA512 d847734157c2fe8d62cc4cf9788a64849681264cf3f0315423206c00a8ee5e0b8073d97af126c4eb5abf834b55242a7571a6b116aab383f280ad35288467b1a3
 DIST AdGuardHome-0.107.49.tar.gz 2269512 BLAKE2B e118e3a31fc88b477a5b7cdc6b81e4aaf52b3c92ebde49f0b552220fef285c0128ec590b1eb75d82633e697065ab16da815b5bbd6bef70bb22d8fc20794711de SHA512 20e5c528a00d87658be90d7320972b44db10e1537d5a836d83dadf772c4f54754272e69bc2565163e5847375fd4d9a0159f7ef9eb552beadee2432330729b373
@@ -15,4 +6,3 @@ DIST AdGuardHome-0.107.50.tar.gz 2269495 BLAKE2B 49b4811c118a938d6191e856588d262
 DIST AdGuardHome-0.107.51-deps.tar.xz 2675048 BLAKE2B a68d9690c3b0499ac230ac8cc714de0b438a350888e060ae30273c3616f16325a73c2cc744f80ba336820a3285ce67eda53204ebdc80fc2b7f733fe90cc040b2 SHA512 dc86548910e4a44f9f984d4db6df7e9739fd3f0ca8ff43e3d57dba5680be58262df0d4c9002f9d9c1e8f61755a7ad0c45fd9678f36798f6dea2c8905cde3464e
 DIST AdGuardHome-0.107.51.tar.gz 2270014 BLAKE2B cadbb18d527768a85f19c29b1f17fad2072ff96565774c48e2b7907578a931c99d51eedd8baab551d62ab5769f363f9bbf877a9f6b9d3429aa78a262a18c94f8 SHA512 148db24905a50945d95381370b28a1acf03ef6747ac9b56267b91b3a0a25c48649c2107ae58a44a6a816c1a9eebf50594e68465ce6620553745f1689aa606992
 DIST AdGuardHome-wiki-3b27176.tar.xz 44232 BLAKE2B a4333f99ab7860734b41677265fe3565aea82db1ef6306920f302a3ed2ec69cf9a17523465ffeceefa04ffdd0d916d61adb2c8fc5d01b40a1a80c4d99d76ab72 SHA512 d702373ede62589f079fb86474ade02a9520b7008b8b9b89867c48629cca1816df1560738a575e26813f43bfbc3c77ba2d89b6a1dc8f0625af8cef3fac11a287
-DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

* [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/
@ 2024-06-15  7:10 Rahil Bhimjiani
  0 siblings, 0 replies; 8+ messages in thread
From: Rahil Bhimjiani @ 2024-06-15  7:10 UTC (permalink / raw
  To: gentoo-commits

commit:     a6957ff6585ef72d6eec7971f910320a57efc1d7
Author:     Rahil Bhimjiani <me <AT> rahil <DOT> rocks>
AuthorDate: Sat Jun 15 07:10:05 2024 +0000
Commit:     Rahil Bhimjiani <rahil3108 <AT> gmail <DOT> com>
CommitDate: Sat Jun 15 07:10:05 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=a6957ff6

net-dns/AdGuardHome: update to 0.107.51

Signed-off-by: Rahil Bhimjiani <me <AT> rahil.rocks>

 net-dns/AdGuardHome/AdGuardHome-0.107.51.ebuild | 151 ++++++++++++++++++++++++
 net-dns/AdGuardHome/Manifest                    |   2 +
 2 files changed, 153 insertions(+)

diff --git a/net-dns/AdGuardHome/AdGuardHome-0.107.51.ebuild b/net-dns/AdGuardHome/AdGuardHome-0.107.51.ebuild
new file mode 100644
index 000000000..5ab998498
--- /dev/null
+++ b/net-dns/AdGuardHome/AdGuardHome-0.107.51.ebuild
@@ -0,0 +1,151 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit fcaps go-module readme.gentoo-r1 systemd
+
+DESCRIPTION="Network-wide ads & trackers blocking DNS server like Pi-Hole with web ui"
+HOMEPAGE="https://github.com/AdguardTeam/AdGuardHome/"
+
+WIKI_COMMIT="3b27176"
+SRC_URI="
+	https://github.com/AdguardTeam/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${P}/deps.tar.xz -> ${P}-deps.tar.xz
+	https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.49/wiki.tar.xz -> ${PN}-wiki-${WIKI_COMMIT}.tar.xz
+	web? ( https://github.com/rahilarious/gentoo-distfiles/releases/download/${PN}-0.107.49/npm-deps.tar.xz -> ${PN}-0.107.49-npm-deps.tar.xz )
+"
+
+# main
+LICENSE="GPL-3"
+# deps
+LICENSE+=" Apache-2.0 BSD BSD-2 MIT ZLIB"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+IUSE="+web"
+# RESTRICT="test"
+
+BDEPEND="
+	web? ( net-libs/nodejs[npm] )
+"
+
+FILECAPS=(
+	-m 755 'cap_net_bind_service=+eip cap_net_raw=+eip' usr/bin/${PN}
+)
+
+PATCHES=(
+	"${FILESDIR}"/disable-update-cmd-opt.patch
+)
+
+DOCS="
+	../${PN}.wiki/*
+"
+
+DOC_CONTENTS="\n
+User is advised to not run binary directly instead use systemd service\n\n
+Defaults for systemd service:\n
+Web UI: 0.0.0.0:3000\n
+Data directory: /var/lib/${PN}\n
+Default config: /var/lib/${PN}/${PN}.yaml
+"
+src_unpack() {
+	# because we're using  vendor/ so we don't need go-module_src_unpack
+	default
+}
+
+src_prepare() {
+	ln -sv ../vendor ./ || die
+
+	default
+
+	if use web; then
+		# mimicking `make js-deps`
+		export npm_config_cache="${WORKDIR}/npm-cache" NODE_OPTIONS=--openssl-legacy-provider || die
+		npm --verbose --offline --prefix client/ --no-progress --ignore-engines --ignore-optional --ignore-platform --ignore-scripts ci || die
+	fi
+}
+
+src_compile() {
+	# mimicking `make js-build`
+	use web && npm --verbose --offline --prefix client run build-prod || die
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-build.sh
+
+	local MY_LDFLAGS="-s -w"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.version=${PV}"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.channel=release"
+	MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.committime=$(date +%s)"
+	if [ "$(go env GOARM)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.goarm=$(go env GOARM)"
+	elif [ "$(go env GOMIPS)" != '' ]
+	then
+		MY_LDFLAGS+=" -X github.com/AdguardTeam/AdGuardHome/internal/version.gomips=$(go env GOMIPS)"
+	fi
+
+	ego build -ldflags "${MY_LDFLAGS}" -trimpath -v=1 -x=1
+}
+
+src_test() {
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-test.sh
+	count_flags='--count=1'
+	cover_flags='--coverprofile=./coverage.txt'
+	shuffle_flags='--shuffle=on'
+	timeout_flags="--timeout=30s"
+	fuzztime_flags="--fuzztime=20s"
+	readonly count_flags cover_flags shuffle_flags timeout_flags fuzztime_flags
+
+	# race only works when pie is disabled
+	export GOFLAGS="${GOFLAGS/-buildmode=pie/}"
+
+	# following test is failing without giving any reason. Tried disabling internal/updater internal/whois tests toggling race, but still failing.
+	# ego test\
+	# 	  "$count_flags"\
+	# 	  "$cover_flags"\
+	# 	  "$shuffle_flags"\
+	# 	  --race=1\
+	# 	  "$timeout_flags"\
+	# 	  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-bench.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  --bench='.'\
+		  --benchmem\
+		  --benchtime=1s\
+		  --run='^$'\
+		  ./...
+
+	# mimicking https://github.com/AdguardTeam/AdGuardHome/blob/master/scripts/make/go-fuzz.sh
+	ego test\
+		  "$count_flags"\
+		  "$shuffle_flags"\
+		  --race=0\
+		  "$timeout_flags"\
+		  "$fuzztime_flags"\
+		  --fuzz='.'\
+		  --run='^$'\
+		  ./internal/filtering/rulelist/\
+		;
+
+}
+
+src_install() {
+	dobin "${PN}"
+	dosym -r /usr/bin/"${PN}" /usr/bin/adguardhome
+
+	einstalldocs
+	readme.gentoo_create_doc
+
+	systemd_newunit "${FILESDIR}"/AdGuardHome-0.107.43.service "${PN}".service
+}
+
+pkg_postinst() {
+	readme.gentoo_print_elog
+}

diff --git a/net-dns/AdGuardHome/Manifest b/net-dns/AdGuardHome/Manifest
index de2c91a16..6d9c7685d 100644
--- a/net-dns/AdGuardHome/Manifest
+++ b/net-dns/AdGuardHome/Manifest
@@ -12,5 +12,7 @@ DIST AdGuardHome-0.107.49-npm-deps.tar.xz 31380124 BLAKE2B df516b58bc5cc94e651b8
 DIST AdGuardHome-0.107.49.tar.gz 2269512 BLAKE2B e118e3a31fc88b477a5b7cdc6b81e4aaf52b3c92ebde49f0b552220fef285c0128ec590b1eb75d82633e697065ab16da815b5bbd6bef70bb22d8fc20794711de SHA512 20e5c528a00d87658be90d7320972b44db10e1537d5a836d83dadf772c4f54754272e69bc2565163e5847375fd4d9a0159f7ef9eb552beadee2432330729b373
 DIST AdGuardHome-0.107.50-deps.tar.xz 2674988 BLAKE2B 72747c4eebd33a3e453c9062ca84f84f58d5c8a65b63059b8f9788fd695f513475d3a933953eec017b052eba7822ebb24fb7a09ad9e986ac9f2fbe8bca408bcd SHA512 7af25252a7ee1de9153c16658f56aeb65481780e4ff1e22fe01b73de14c53f9d54a9f7f87d5f246e309ab0f3671d4cdf02a216468d603aceb6d66b3affea1af6
 DIST AdGuardHome-0.107.50.tar.gz 2269495 BLAKE2B 49b4811c118a938d6191e856588d262a9645309e43d40d70be646d6ba831f722da069f1d07b7192e663f23992994a3d1328e52d4923f58cbc0a70d0495476ce4 SHA512 d2744328d03945c6d8851e3d49d5244f5e85fceb769e901209381d79af4bcc9996d19eb29bff7e20d6e51d2e52285813ebe649d93a94eaa143c0315422dcb5a8
+DIST AdGuardHome-0.107.51-deps.tar.xz 2675048 BLAKE2B a68d9690c3b0499ac230ac8cc714de0b438a350888e060ae30273c3616f16325a73c2cc744f80ba336820a3285ce67eda53204ebdc80fc2b7f733fe90cc040b2 SHA512 dc86548910e4a44f9f984d4db6df7e9739fd3f0ca8ff43e3d57dba5680be58262df0d4c9002f9d9c1e8f61755a7ad0c45fd9678f36798f6dea2c8905cde3464e
+DIST AdGuardHome-0.107.51.tar.gz 2270014 BLAKE2B cadbb18d527768a85f19c29b1f17fad2072ff96565774c48e2b7907578a931c99d51eedd8baab551d62ab5769f363f9bbf877a9f6b9d3429aa78a262a18c94f8 SHA512 148db24905a50945d95381370b28a1acf03ef6747ac9b56267b91b3a0a25c48649c2107ae58a44a6a816c1a9eebf50594e68465ce6620553745f1689aa606992
 DIST AdGuardHome-wiki-3b27176.tar.xz 44232 BLAKE2B a4333f99ab7860734b41677265fe3565aea82db1ef6306920f302a3ed2ec69cf9a17523465ffeceefa04ffdd0d916d61adb2c8fc5d01b40a1a80c4d99d76ab72 SHA512 d702373ede62589f079fb86474ade02a9520b7008b8b9b89867c48629cca1816df1560738a575e26813f43bfbc3c77ba2d89b6a1dc8f0625af8cef3fac11a287
 DIST AdGuardHome-wiki-7964837.tar.xz 44012 BLAKE2B 0cef0fb890e9fd80db12d74abd39ea90efa5561e11fba0e9df55b5e48536cd5a604d18bd17907921568d73bcc1b08ebb2980e16cb4e1eeb37be10ef89a106243 SHA512 2177fe47986f3086804ef900d2e338efbaf647df7f81d8b28235f77f0375681f96db112d3b06f69ee36706fc44698bdd960b919f5b87f82546ce87cb93b3f196


^ permalink raw reply related	[flat|nested] 8+ messages in thread

end of thread, other threads:[~2024-06-15  7:11 UTC | newest]

Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-04-09  8:50 [gentoo-commits] repo/proj/guru:dev commit in: net-dns/AdGuardHome/ Rahil Bhimjiani
  -- strict thread matches above, loose matches on Subject: below --
2024-06-15  7:10 Rahil Bhimjiani
2024-06-15  7:10 Rahil Bhimjiani
2024-05-23 18:09 Rahil Bhimjiani
2024-05-23 17:02 Rahil Bhimjiani
2024-03-21 15:58 Rahil Bhimjiani
2024-03-02 11:45 Rahil Bhimjiani
2024-01-07 21:03 Rahil Bhimjiani

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox